body {
    --accent-color: #000;
    --background-color: #fff9f1;
    --color: #444;
    --fainted-color: #999;
}

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: var(--background-color);
    color: var(--color)
}

.header {
    margin: 0 40px;
    height: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.header * {
    margin: 0;
}

.marry {
    font-size: 60px;
    font-family: "gf_Roboto_Condensed variant0", Tofu;
    line-height: 50px;
}

.date {
    font-size: 40px;
    font-style: italic;
}

.place {
    font-size: 40px;
}

.main {
    text-align: center;
    margin-bottom: 66px;
}

#start {
    height: calc(100vh - 66px);
}

.headerImg {
    width: 100%;
    height: 50%;
    background-image: url("ZellAmSee.jpeg");
    background-size: cover;
    background-position: 78% 55%;
}

.metImg {
    width: 100%;
    height: 50vh;
    background-image: url("Met.jpeg");
    background-size: cover;
    background-position: 27% 42%;
}

.flowersImg {
    width: 100%;
    height: 50vh;
    background-image: url("flowers.jpeg");
    background-size: cover;
    background-position: 80% 57%;
}

.parallaxImg {
    width: 100%;
    height: 50vh;
    background-image: url("Parallax.jpeg");
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.meerImg {
    width: 100%;
    height: 50vh;
    background-image: url("Meer.jpeg");
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

@media screen and (max-width:599px) {
    .parallaxImg {
        background-attachment: unset;
        background-size: cover;
        background-position: 50% 45%;
    }

    .meerImg {
        background-attachment: unset;
        background-size: cover;
        background-position: 65% 45%;
    }
}

.festivalImg {
    width: 100%;
    height: 50vw;
    background-image: url(Festival.jpeg);
    background-size: cover;
    background-position: 70% 52%;
}

.cuddleImg {
    width: 100%;
    height: 50vw;
    background-image: url(cuddle.jpeg);
    background-size: cover;
    background-position: 70% 52%;
}

.snowImg {
    width: 100%;
    height: 50vh;
    background-image: url(snow.jpeg);
    background-size: cover;
    background-position: 50% 40%;
}

.quote {
    margin: 80px 30px;
    font-size: 24px;
}

.navbar {
    overflow: hidden;
    background-color: white;
    position: fixed;
    display: flex;
    justify-content: space-around;
    bottom: 0;
    width: 100%;
    z-index: 10;
    height: 66px;
}

.section {
    margin: 0 40px;
}

a {
    color: var(--fainted-color);
}

.navbar a {
    float: left;
    display: flex;
    flex-direction: column;
    text-align: center;
    text-decoration: none;
    padding: 14px 16px;
    font-size: 12px;
}

a:hover {
    color: var(--color);
}

.material-symbols-outlined {
    font-size: 24px;
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24
}


.eventPoint:not(:last-child)::after {
    width: 1px;
    background: transparent;
    border-right: solid 2px var(--accent-color);
    left: 12px;
    top: 4px;
    height: 100%;
    opacity: 0.7;
    z-index: 1;
}

.eventPoint::before {
    background: var(--accent-color);
    border-radius: 10px;
    border: var(--accent-color);
    height: 8px;
    left: 10px;
    top: 4px;
    width: 8px;
    z-index: 2;
}

.eventPoint::before,
.eventPoint::after {
    content: " ";
    position: absolute;
    top: 4px;
}

.eventPoint {
    padding: 0px 0px 20px 60px;
    position: relative;
    text-align: var(--text-alignment, left);
}

.eventlist {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 50px;
}

.eventEntry {
    display: flex;
    flex-direction: column;
}

.eventHeader {
    font-size: 24px;
}

.time {
    font-size: 18px;
    width: 200px;
    flex-shrink: 0;
    color: var(--fainted-color);
}

.eventText,
.eventHeader {
    width: 200px;
}

@media screen and (min-width:600px) {
    .eventEntry {
        flex-direction: row;
    }

    .time {
        font-size: 24px;
        color: var(--color);
    }

    .eventText,
    .eventHeader {
        width: 300px;
    }
}

form {
    margin: 0 40px;
}

.inputLine {
    margin-bottom: 20px;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    box-sizing: border-box;
    text-align: left;
}

label {
    margin-bottom: 5px;
    text-align: left;
    user-select: none;
}

label:has(+input, +textarea) {
    width: 100%;
    display: block;
}

.personContainer:has(+.personContainer) {
    border-bottom: 2px solid var(--fainted-color);
    margin-bottom: 10px;
}

.optionsHeader {
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    box-sizing: border-box;
    text-align: left;
}

.options {
    display: flex;
    column-gap: 40px;
    margin-bottom: 20px;
    flex-wrap: wrap;
}

input[type="text" i],
textarea {
    padding-block: 1px;
    width: 100%;
    height: 50px;
    border-radius: 5px;
    box-shadow: none;
    border: 1px solid #ced6e0;
    transition: all 0.3s ease-in-out;
    font-size: 18px;
    padding: 5px 15px;
    /* color: #1a3b5d; */
    /* background: none; */
    /* font-family: "Source Sans Pro", sans-serif; */
    box-sizing: border-box;
}

textarea {
    height: 100px;
}

button,
input[type="submit"] {
    padding-block: 1px;
    height: 50px;
    border-radius: 5px;
    box-shadow: none;
    border: 1px solid #ced6e0;
    transition: all 0.3s ease-in-out;
    font-size: 18px;
    padding: 5px 15px;
    margin: 0 20px 20px;
}

input:not([type="image" i], [type="range" i], [type="checkbox" i], [type="radio" i]) {
    overflow-clip-margin: 0px !important;
    overflow: clip !important;
}